export class ServiceConstants {
  public static DOMAIN = 'https://app.lithion.in';
  public static LOCAL  = 'http://localhost:3000';
  public static PAYTM_DOMAIN = 'pguat.paytm.com';
}

export class APIUrls {
  public static ASSET_DEASSIGNMENT                  = ServiceConstants.DOMAIN + '/V2/api/lsp/deAssign ';
  public static ASSET_ASSIGNMENT                    = ServiceConstants.DOMAIN + '/V2/api/lsp/assign ';
  public static SEND_COMMAND                        = ServiceConstants.DOMAIN + '/api/dev/subcmd';
  public static DRIVER_LIST                         = ServiceConstants.DOMAIN + '/V2/api/driver/list';
  public static RECENT_LOCATIONS                    = ServiceConstants.DOMAIN + '/api/dev/fetch/recentlocations';
  public static LOGIN_CHECK                         = ServiceConstants.DOMAIN  + '/V2/api/login/auth';
  public static REGISTER_BATTERY_PACK               = ServiceConstants.DOMAIN + '/api/dev/reg/batterypack';
  public static FETCH_UNASSOCIATED_BMS              = ServiceConstants.DOMAIN + '/api/dev/fetch/unassociatedbms';
  public static UNASSOCIATED_BMS                    = ServiceConstants.DOMAIN + '/V2/api/fetch/unassociatedBms';
  public static UNASSOCIATED_DL                     = ServiceConstants.DOMAIN + '/V2/api/fetch/unassociatedDl';
  public static FETCH_UNASSOCIATED_DL               = ServiceConstants.DOMAIN + '/api/dev/fetch/unassociatedDL';
  public static REGISTER_DATALOGGER                 = ServiceConstants.DOMAIN + '/V2/api/regAsset/registerDL';
  public static REGISTER_BMS                        = ServiceConstants.DOMAIN + '/V2/api/regAsset/registerBms';
  public static DETACH_COMPONENT                    = ServiceConstants.DOMAIN + '/api/dev/detach/component';
  public static DRIVER_ASSIGN                       = ServiceConstants.DOMAIN + '/V2/api/lsp/assignment';
  public static DRIVER_FETCH_ASSIGNED               = ServiceConstants.DOMAIN + '/V2/api/driver/assignedDrivers';
  public static DRIVER_FETCH_UNASSIGNED             = ServiceConstants.DOMAIN + '/V2/api/driver/UnAssignedDrivers';
  public static DRIVER_DEASSIGN                     = ServiceConstants.DOMAIN + '/api/dev/deassign';
  public static FETCH_BATTERY_LIST                  = ServiceConstants.DOMAIN + '/api/dev/lsp/battery/status';
  public static FETCH_CURRENT_ASSETS                = ServiceConstants.DOMAIN + '/V2/api/fetch/batteries';
  public static BATTERY_STATUS_LIST                 = ServiceConstants.DOMAIN + '/api/dev/batterypack/assignment/status';
  public static BATTERY_DATA                        = ServiceConstants.DOMAIN + '/V2/api/data/getData';
  public static FETCH_BATTERY_DETAILS               = ServiceConstants.DOMAIN + '/V2/api/fetch/getBatteryDetails';
  public static FETCH_DL_DETAILS                    = ServiceConstants.DOMAIN + '/V2/api/dl/fetchDlDetails';
  public static FETCH_BATTERY_CURRENT_CYCLE_DETAILS = ServiceConstants.DOMAIN + '/api/dev/asset/currentcycle';
  public static FETCH_DRIVER_CURRENT_CYCLE_DETAILS  = ServiceConstants.DOMAIN + '/api/dev/driver/currentcycle';
  public static PRIMARY_ASSIGNMENT                  = ServiceConstants.DOMAIN + '/api/dev/batterypack/assignment/primary';
  public static FETCH_LSPS                          = ServiceConstants.DOMAIN + '/api/dev/fetchlsp';
  public static FETCH_LSP_DETAILS                   = ServiceConstants.DOMAIN + '/V2/api/lsp/listAssets';
  public static UNASSIGNED_BATTERIES                = ServiceConstants.DOMAIN + '/V2/api/lsp/unassignedBatteries';
  public static FETCH_DRIVER_DETAILS                = ServiceConstants.DOMAIN + '/n/api/driver/list';
  public static REGISTER_LSP                        = ServiceConstants.DOMAIN + '/V2/api/lsp/register';
  public static CHECK_TOKEN                         = ServiceConstants.DOMAIN + '/api/dev/token/check';
  public static TRACK_ASSETS                        = ServiceConstants.DOMAIN + '/api/dev/v1/queryasset?assetid=A04&limit=10';
  public static LOGOUT                              = ServiceConstants.DOMAIN + '/V2/api/logout';
  public static REQUEST_OTP                         = ServiceConstants.DOMAIN + '/api/dev/reset/request/otp';
  public static CHECK_OTP                           = ServiceConstants.DOMAIN + '/api/dev/reset/check/otp';
  public static CONFIRM_OTP                         = ServiceConstants.DOMAIN + '/api/dev/reset/confirm/otp';
  public static BATTERY_DETAIL                      = ServiceConstants.DOMAIN + '/V2/api/fetch/getBatteryDetails'
  public static DATA_LOGGER                         = ServiceConstants.DOMAIN + '/api/dev/fetch/unassociatedDL';
  public static LSP_LIST                            = ServiceConstants.DOMAIN + '/V2/api/lsp/lspList';
  public static SAVE_CHECKLIST                      = ServiceConstants.DOMAIN + '/V2/api/checklist/submit ';
  public static SAVE_PAYMENT                        = ServiceConstants.DOMAIN + '/V2/api/confirm/payment ';
  public static REGISTER_ADMIN                      = ServiceConstants.DOMAIN + '/V2/api/regis ';
  public static REGISTER_CELL                       = ServiceConstants.DOMAIN + '/V2/api/regAsset/registerCell ';
  public static REGISTER_CHARGER                    = ServiceConstants.DOMAIN + '/V2/api/regAsset/registerCharger ';
  public static REGISTERED_BATTERIES_LSP            = ServiceConstants.DOMAIN + '/V2/api/lsp/assignedBatteriesLsp ';
  public static REPORT_ISSUE                        = ServiceConstants.DOMAIN + '/V2/api/lsp/reportIssue';
  public static EDIT_DATA_LOGGER                    = ServiceConstants.DOMAIN + '/V2/api/dl/editDataLogger';
  public static UNMAPPED_CELLS                      = ServiceConstants.DOMAIN + '/V2/api/fetch/unmappedCells';
  public static REGISTER_BATTERYPACK                = ServiceConstants.DOMAIN + '/V2/api/regAsset/registerBatteryPack';
  public static EARNING_FEEDBACK                    = ServiceConstants.DOMAIN + '/V2/api/earningFeedback';
  public static REMOVE_BMS                          = ServiceConstants.DOMAIN + '/V2/api/remove/bms';
  public static REMOVE_DATALOGGER                   = ServiceConstants.DOMAIN + '/V2/api/remove/dataLogger';
  public static EDIT_BATTERY_PACK                   = ServiceConstants.DOMAIN + '/V2/api/edit/batteryPack';
  public static ASSET_HISTORY_INFO                  = ServiceConstants.DOMAIN + '/V2/api/fetch/assetHistoryInfo';
  public static THRESHOLD_INFO                      = ServiceConstants.DOMAIN + '/V2/api/fetch/assetThresholdInfo';
  public static LSP_LOCATION                        = ServiceConstants.DOMAIN + '/V2/api/fetch/lspDefaultLocation';
  public static VIEW_CHECKLIST                      = ServiceConstants.DOMAIN + '/V2/api/checklist/viewChecklist';
  public static ASSOCIATED_BATTERIES                = ServiceConstants.DOMAIN + '/V2/api/fetch/associatedBatteries';
  public static ACTORS                              = ServiceConstants.DOMAIN + '/V2/api/fetch/actors';
  public static RECEIVE_IN_CHECKLIST                = ServiceConstants.DOMAIN + '/V2/api/checklist/receiveIn';
  public static BMS_DETAILS                         = ServiceConstants.DOMAIN + '/V2/api/fetch/bmsDetails';
  public static EDIT_BMS                            = ServiceConstants.DOMAIN + '/V2/api/edit/bms';
  public static REGISTER_DRIVER                     = ServiceConstants.DOMAIN + '/V2/api/driver/registerDriver';
  public static VIEW_RECEIVE_IN_CHECKLIST           = ServiceConstants.DOMAIN + '/V2/api/checklist/receiveInData';
  public static DOWNLOAD_CSV                        = ServiceConstants.DOMAIN + '/V2/api/fetch/batteryCsvData';
  public static IMAGE_UPLOAD                        = ServiceConstants.DOMAIN + '/V2/api/upload/imageUpload';
  public static ACCOUNT_VIEW                        = ServiceConstants.DOMAIN + '/V2/api/fetch/accountData';
  public static GET_NEW_BATTERIES                   = ServiceConstants.DOMAIN + '/V2/api/fetch/newBatteries';
  public static BATTERY_PRIMARY_ASSIGN              = ServiceConstants.DOMAIN + '/V2/api/regAsset/primaryAssignment';
  public static PARTNER_GIVEN_BATTERIES             = ServiceConstants.DOMAIN + '/V2/api/fetch/partnerGivenBatteries';
  public static BATTERY_SECONDARY_ASSIGN            = ServiceConstants.DOMAIN + '/V2/api/regAsset/secondaryAssignment';
  public static GENERATE_CHECKSUM                   = ServiceConstants.DOMAIN + '/V2/api/paytm/genCheckSum';
  public static PAYTM_RESPONSE                      = ServiceConstants.DOMAIN + '/V2/api/paytm/paytmResponse';
  public static GET_BATTERY_LSP = ServiceConstants.DOMAIN + '/V2/api/driver/getDriverLspInfo';
  public static VERIFY_CHECKSUM = ServiceConstants.DOMAIN + '/V2/api/paytm/verifychecksum';
  public static REGISTER_CUSTOMER = ServiceConstants.DOMAIN + '/V2/api/customer/customerInteraction'
  public static VIEW_CUSTOMER = ServiceConstants.DOMAIN + '/V2/api/customer/getInteractionlist'
  public static DLID_BID = ServiceConstants.DOMAIN + '/V2/api/dl/DlInfo';
  public static BATTERYDETAILS = ServiceConstants.DOMAIN + '/V2/api/data/getdata';
  public static ASSETLIST = ServiceConstants.DOMAIN + '/V2/api/fetch/batteries'
}

export class paytm {
  public static PAYTM_ENVIRONMENT      = 'TEST';
  public static PAYTM_MERCHANT_KEY     = 'JV0pJLMevatz5!0P';
  public static PAYTM_MERCHANT_MID     = 'Lithio53855289384192';
  public static PAYTM_MERCHANT_WEBSITE = 'WEBSTAGING';
  public static INDUSTRY_TYPE_ID       = 'Retail';
  public static CHANNEL_ID             = 'WEB';
  public static PAYTM_REFUND_URL       = 'https://' + ServiceConstants.PAYTM_DOMAIN + '/oltp/HANDLER_INTERNAL/REFUND';
  public static PAYTM_TXN_URL          = 'https://' + ServiceConstants.PAYTM_DOMAIN + '/theia/processTransaction';
  public static PAYTM_TXN_STATUS_URL   = 'https://' + ServiceConstants.PAYTM_DOMAIN + '/merchant-status/getTxnStatus';
}
